# Google Maps Firma Bilgi Toplayıcı - Geliştirme Süreci

Bu dosya, Google Maps Firma Bilgi Toplayıcı Chrome eklentisinin geliştirilme sürecini belgelemektedir.

## 1. Proje Yapısı Oluşturma

Öncelikle temel Chrome eklenti yapısını oluşturdum:

- `manifest.json`: Eklentinin temel yapılandırması ve izinleri
- `popup.html`: Kullanıcı arayüzü
- `popup.js`: Arayüz kontrolü ve kullanıcı etkileşimi
- `content.js`: Google Maps sayfasında çalışacak ve veri toplayacak script
- `images/`: İkon dosyaları için klasör
- `README.md`: Kullanım talimatları

## 2. Manifest Dosyası

`manifest.json` dosyasında:

- Eklenti için gerekli izinleri tanımladım: activeTab, storage, downloads
- Content scriptlerin Google Maps sayfalarında çalışmasını sağladım
- Popup arayüzünü tanımladım

## 3. Popup Arayüzü

`popup.html` dosyasında:

- Kullanıcı dostu bir arayüz tasarladım
- Firma sayısı girişi
- Taramayı başlatma/durdurma düğmeleri
- CSV indirme butonu
- Durum ve ilerleme bilgisi gösterimi

## 4. Popup Javascript

`popup.js` dosyasında:

- Kullanıcı etkileşimlerini yöneten kodları yazdım
- Chrome storage ile veri yönetimini sağladım
- Content scriptlere mesaj gönderme işlevleri
- CSV oluşturma ve indirme fonksiyonu

## 5. Content Script

`content.js` dosyasında en kritik fonksiyonları geliştirdim:

- Google Maps sayfasından firma listesini algılayan fonksiyon
- Sayfa yapısına göre dinamik olarak çalışan selektörler
- Daha fazla firma yüklemek için otomatik scroll fonksiyonu
- Her firmanın detaylarını çeken fonksiyon
- Firma adı, telefon ve website verilerini çıkaran fonksiyonlar
- CSV formatına dönüştürüp indirme işlevi

## 6. CSS Selektörleri Seçimi

Google Maps'in dinamik yapısına uyum sağlamak için:

- Farklı cihaz ve ekran boyutlarında tutarlı çalışan selektörler seçtim
- Google Maps güncellemelerine karşı dayanıklı selektörler belirledim
- Her veri tipi (firma adı, telefon, website) için özel selektörler tanımladım

## 7. Veri İşleme Yöntemi

- Her firma için ayrı ayrı veri toplamak üzere detay panelini açıp bilgileri alıyorum
- Eksik veriler için "Bulunamadı" şeklinde standart bir yaklaşım belirledim
- Toplanan veriler Chrome storage'da saklanıyor
- CSV dosyası istenen formatta oluşturuluyor

## 8. Kullanıcı Deneyimi İyileştirmeleri

- Tarama ilerlemesini gerçek zamanlı gösterme
- Hata durumlarını ele alma ve kullanıcıya bildirme
- Belirli sayıda firma tarama veya tüm listeyi tarama seçeneği
- Taramayı durdurma/devam ettirme özelliği

## 9. Güvenilirlik Özellikleri

- Google Maps'in dinamik değişen yapısına karşı dayanıklılık
- Hata yakalamak ve işlemek için try-catch blokları
- Veri kaybını önlemek için düzenli storage güncellemeleri
- Tarayıcı belleğini optimize etmek için veri yönetimi

## 10. Gelecek Geliştirmeler

- Daha fazla firma bilgisi toplama (adres, çalışma saatleri, değerlendirme vb.)
- Filtreleme özellikleri
- Gelişmiş CSV formatları ve diğer veri dışa aktarma seçenekleri
- İleri otomatik sayfa navigasyonu 