# Google Maps Firma Bilgi Toplayıcı

Bu Chrome eklentisi, Google Maps üzerinden firma araması yapıldığında listelenen firmaların adı, telefon numarası ve web sitesi bilgilerini toplar ve CSV dosyasına aktarır.

## Özellikler

- Google Maps arama sonuçlarından firma bilgilerini otomatik olarak toplar
- Firma adı, telefon numarası ve web sitesi bilgilerini çıkarır
- Belirli sayıda firma veya tüm listeyi tarama seçeneği sunar
- Toplanan verileri CSV dosyasına aktarır
- Eksik veriler için "Bulunamadı" gösterir
- Tarama ilerlemesini gösterir
- Taramayı durdurma ve devam ettirme seçenekleri

## Kurulum

1. Bu repoyu bilgisayarınıza indirin veya klonlayın
2. Chrome tarayıcısını açın
3. Adres çubuğuna `chrome://extensions/` yazın
4. Sağ üst köşedeki "Geliştirici modu" seçeneğini aktif edin
5. "Paketlenmemiş öğe yükle" butonuna tıklayın
6. İndirdiğiniz klasörü seçin

### İkon Ekleme (Opsiyonel)
Eklentiye ikon eklemek isterseniz:
1. `generateIcons.js` dosyasını kullanmak için Node.js yüklü olmalıdır
2. `npm install canvas fs` komutu ile gerekli modülleri yükleyin
3. `node generateIcons.js` komutu ile ikonları oluşturun
4. `manifest.json` dosyasını düzenleyerek ikon tanımlamalarını ekleyin:
```json
"action": {
  "default_popup": "popup.html",
  "default_icon": {
    "16": "images/icon16.png",
    "48": "images/icon48.png",
    "128": "images/icon128.png"
  }
},
"icons": {
  "16": "images/icon16.png",
  "48": "images/icon48.png",
  "128": "images/icon128.png"
}
```

## Kullanım

1. Google Maps'te bir arama yapın (örneğin "İstanbul'da restoranlar")
2. Chrome eklentileri kısmından "Google Maps Firma Bilgi Toplayıcı" simgesine tıklayın
3. Taramak istediğiniz firma sayısını girin (boş bırakırsanız tüm listeyi tarar)
4. "Taramayı Başlat" butonuna tıklayın
5. Tarama bittiğinde "CSV İndir" butonuna tıklayarak sonuçları kaydedebilirsiniz

## Teknik Detaylar

Eklenti, Google Maps'in dinamik yapısına uyum sağlayacak şekilde tasarlanmıştır. Sayfa yapısındaki potansiyel değişikliklere karşı dayanıklı olması için selektörler dikkatli bir şekilde seçilmiştir.

### Dosya Yapısı

- `manifest.json` - Eklenti yapılandırması
- `popup.html` - Kullanıcı arayüzü
- `popup.js` - Arayüz kontrolü
- `content.js` - Veri çıkarma ve işleme mantığı
- `images/` - Eklenti ikonları için klasör
- `generateIcons.js` - İkon oluşturma scripti (opsiyonel)

## Sorun Giderme

- Tarama başlamıyorsa, sayfanın Google Maps arama sonuçları sayfası olduğundan emin olun
- Veri eksikse, Google Maps sayfa yapısı değişmiş olabilir, lütfen güncel versiyonu kontrol edin
- İkon yüklenme hatası alıyorsanız, manifest.json dosyasını yukarıdaki şekilde düzenleyin

## Lisans

MIT

---

## Geliştirici

Bu eklenti [Socialkas.com](https://socialkas.com) - Kaş'ın Sosyal Medya Ajansı tarafından geliştirilmiştir.

İletişim:
- Telefon: +90 545 595 4592
- E-posta: info@socialkas.com 