// İkon oluşturmak için canvas kullanarak basit bir script
// Bu kodu tarayıcı konsolunda veya Node.js ortamında çalıştırabilirsiniz

function createIcon(size, backgroundColor, textColor) {
  const canvas = document.createElement('canvas');
  canvas.width = size;
  canvas.height = size;
  const ctx = canvas.getContext('2d');
  
  // Arka plan
  ctx.fillStyle = backgroundColor;
  ctx.fillRect(0, 0, size, size);
  
  // "G" harfi
  ctx.fillStyle = textColor;
  ctx.font = `bold ${Math.floor(size * 0.7)}px Arial`;
  ctx.textAlign = 'center';
  ctx.textBaseline = 'middle';
  ctx.fillText('G', size / 2, size / 2);
  
  // Veri simgesi (küçük bir çizgi)
  ctx.fillStyle = textColor;
  ctx.fillRect(Math.floor(size * 0.3), Math.floor(size * 0.7), Math.floor(size * 0.4), Math.floor(size * 0.1));
  
  return canvas.toDataURL('image/png');
}

// Farklı boyutlarda ikonlar oluştur
const icon16 = createIcon(16, '#4285f4', '#ffffff');
const icon48 = createIcon(48, '#4285f4', '#ffffff');
const icon128 = createIcon(128, '#4285f4', '#ffffff');

console.log('16x16 İkon:', icon16);
console.log('48x48 İkon:', icon48);
console.log('128x128 İkon:', icon128);

// Not: Bu console log'ları data URL'leri gösterecektir
// Bu URL'leri tarayıcıda açıp PNG olarak kaydedebilirsiniz 